Index: sansmodels/src/sans/models/c_extensions/c_models.cpp
===================================================================
--- sansmodels/src/sans/models/c_extensions/c_models.cpp	(revision af03ddd0932915d6659404ab7824e4223ea2944f)
+++ sansmodels/src/sans/models/c_extensions/c_models.cpp	(revision 0f5bc9ff2027432913fd8d2cb067675244acdaf6)
@@ -9,10 +9,16 @@
 
 void addCCylinderModel(PyObject *module);
+void addCSphereModel(PyObject *module);
+void addCCoreShellModel(PyObject *module);
+void addCCoreShellCylinderModel(PyObject *module);
+void addCEllipsoidModel(PyObject *module);
+void addCEllipticalCylinderModel(PyObject *module);
+
 extern "C" {
-	void addCCoreShellCylinderModel(PyObject *module);
-	void addCCoreShellModel(PyObject *module);
-	void addCEllipsoidModel(PyObject *module);
-	void addCSphereModel(PyObject *module);
-	void addCEllipticalCylinderModel(PyObject *module);
+	//void addCCoreShellCylinderModel(PyObject *module);
+	//void addCCoreShellModel(PyObject *module);
+	//void addCEllipsoidModel(PyObject *module);
+	//void addCSphereModel(PyObject *module);
+	//void addCEllipticalCylinderModel(PyObject *module);
 	void addDisperser(PyObject *module);
 	void addCGaussian(PyObject *module);
Index: sansmodels/src/sans/models/c_extensions/core_shell.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/core_shell.h	(revision ae3ce4eaa593202ebf49122e196897c0d45a25b6)
+++ sansmodels/src/sans/models/c_extensions/core_shell.h	(revision 0f5bc9ff2027432913fd8d2cb067675244acdaf6)
@@ -2,10 +2,11 @@
 #define core_shell_h
 
-/** 
- * Structure definition for core-shell parameters 
+/**
+ * Structure definition for core-shell parameters
  */
  //[PYTHONCLASS] = CoreShellModel
+ //[DISP_PARAMS] = radius, thickness
 typedef struct {
-    /// Scale factor 
+    /// Scale factor
     //  [DEFAULT]=scale=1.0
     double scale;
@@ -27,5 +28,5 @@
 	/// Incoherent Background (cm-1) 0.000
 	//  [DEFAULT]=background=0 cm-1
-	double background;    
+	double background;
 } CoreShellParameters;
 
Index: sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h	(revision ae3ce4eaa593202ebf49122e196897c0d45a25b6)
+++ sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h	(revision 0f5bc9ff2027432913fd8d2cb067675244acdaf6)
@@ -2,49 +2,50 @@
 #define core_shell_cylinder_h
 
-/** 
- * Structure definition for core-shell cylinder parameters 
+/**
+ * Structure definition for core-shell cylinder parameters
  */
  //[PYTHONCLASS] = CoreShellCylinderModel
+ //[DISP_PARAMS] = radius, thickness, length, axis_theta, axis_phi
 typedef struct {
-    /// Scale factor 
+    /// Scale factor
     //  [DEFAULT]=scale=1.0
     double scale;
-    
+
     /// Core radius [A]
     //  [DEFAULT]=radius=20.0 A
     double radius;
-    
+
     /// Shell thickness [A]
     //  [DEFAULT]=thickness=10.0 A
     double thickness;
-    
+
     /// Core length [A]
     //  [DEFAULT]=length=400.0 A
     double length;
-    
+
     /// Core SLD [A-2]
     //  [DEFAULT]=core_sld=1.0e-6 A-2
     double core_sld;
-    
+
     /// Shell SLD [A-2]
     //  [DEFAULT]=shell_sld=4.0e-6 A-2
     double shell_sld;
-    
+
     /// Solvent SLD [A-2]
     //  [DEFAULT]=solvent_sld=1.0e-6 A-2
     double solvent_sld;
-    
+
 	/// Incoherent Background [cm-1]
 	//  [DEFAULT]=background=0 cm-1
-	double background;    
-	
+	double background;
+
     /// Orientation of the long axis of the core-shell cylinder w/respect incoming beam [rad]
     //  [DEFAULT]=axis_theta=1.57 rad
     double axis_theta;
-    
+
     /// Orientation of the long axis of the core-shell cylinder in the plane of the detector [rad]
     //  [DEFAULT]=axis_phi=0.0 rad
-    double axis_phi;    
-	
+    double axis_phi;
+
 } CoreShellCylinderParameters;
 
Index: sansmodels/src/sans/models/c_extensions/ellipsoid.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/ellipsoid.h	(revision ae3ce4eaa593202ebf49122e196897c0d45a25b6)
+++ sansmodels/src/sans/models/c_extensions/ellipsoid.h	(revision 0f5bc9ff2027432913fd8d2cb067675244acdaf6)
@@ -2,31 +2,32 @@
 #define ellipsoid_h
 
-/** 
- * Structure definition for ellipsoid parameters 
+/**
+ * Structure definition for ellipsoid parameters
  * The ellipsoid has axes radius_b, radius_b, radius_a.
  * Ref: Jan Skov Pedersen, Advances in Colloid and Interface Science, 70 (1997) 171-210
  */
  //[PYTHONCLASS] = EllipsoidModel
+ //[DISP_PARAMS] = radius_a, radius_b, axis_theta, axis_phi
 typedef struct {
-    /// Scale factor 
+    /// Scale factor
     //  [DEFAULT]=scale=1.0
     double scale;
-    
-    ///	Rotation axis radius_a [A] 
+
+    ///	Rotation axis radius_a [A]
     //  [DEFAULT]=radius_a=20.0 A
     double radius_a;
-    
-    /// Radius_b [A] 
+
+    /// Radius_b [A]
     //  [DEFAULT]=radius_b=400 A
     double radius_b;
-    
-    ///	Contrast [Å-2] 
+
+    ///	Contrast [Å-2]
     //  [DEFAULT]=contrast=3.0e-6 A-2
     double contrast;
-    
+
 	/// Incoherent Background [cm-1]
 	//  [DEFAULT]=background=0 cm-1
-	double background;    
-	
+	double background;
+
     /// Orientation of the long axis of the ellipsoid w/respect incoming beam [rad]
     //  [DEFAULT]=axis_theta=1.57 rad
@@ -34,5 +35,5 @@
     /// Orientation of the long axis of the ellipsoid in the plane of the detector [rad]
     //  [DEFAULT]=axis_phi=0.0 rad
-    double axis_phi;    
+    double axis_phi;
 } EllipsoidParameters;
 
Index: sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h	(revision ae3ce4eaa593202ebf49122e196897c0d45a25b6)
+++ sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h	(revision 0f5bc9ff2027432913fd8d2cb067675244acdaf6)
@@ -2,9 +2,11 @@
 #define ell_cylinder_h
 
-/** Structure definition for cylinder parameters 
+/** Structure definition for cylinder parameters
  * [PYTHONCLASS] = EllipticalCylinderModel
+ * [DISP_PARAMS] = r_minor, r_ratio, length, cyl_theta, cyl_phi, cyl_psi
+ *
  * */
 typedef struct {
-    /// Scale factor 
+    /// Scale factor
     //  [DEFAULT]=scale=1.0
     double scale;
@@ -23,5 +25,5 @@
 	/// Incoherent Background (cm-1) 0.000
 	//  [DEFAULT]=background=0 cm-1
-	double background;    
+	double background;
     /// Orientation of the cylinder axis w/respect incoming beam [rad]
     //  [DEFAULT]=cyl_theta=1.57 rad
@@ -29,8 +31,8 @@
     /// Orientation of the cylinder in the plane of the detector [rad]
     //  [DEFAULT]=cyl_phi=0.0 rad
-    double cyl_phi;    
+    double cyl_phi;
     /// Orientation of major radius of the cross-section w/respect vector q [rad]
     //  [DEFAULT]=cyl_psi=0.0 rad
-    double cyl_psi;    
+    double cyl_psi;
 } EllipticalCylinderParameters;
 
Index: sansmodels/src/sans/models/c_extensions/sphere.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/sphere.h	(revision ae3ce4eaa593202ebf49122e196897c0d45a25b6)
+++ sansmodels/src/sans/models/c_extensions/sphere.h	(revision 0f5bc9ff2027432913fd8d2cb067675244acdaf6)
@@ -2,24 +2,25 @@
 #define sphere_h
 
-/** 
- * Structure definition for sphere parameters 
+/**
+ * Structure definition for sphere parameters
  */
  //[PYTHONCLASS] = SphereModel
+ //[DISP_PARAMS] = radius
 typedef struct {
-    /// Scale factor 
+    /// Scale factor
     //  [DEFAULT]=scale=1.0e-6
     double scale;
-    
-    ///	Radius of sphere [A] 
+
+    ///	Radius of sphere [A]
     //  [DEFAULT]=radius=60.0 A
     double radius;
-    
-    ///	Contrast [Å-2] 
+
+    ///	Contrast [Å-2]
     //  [DEFAULT]=contrast=1.0 A-2
     double contrast;
-    
+
 	/// Incoherent Background [cm-1]
 	//  [DEFAULT]=background=0 cm-1
-	double background;    
+	double background;
 } SphereParameters;
 
